Loading...
Searching...
No Matches
websocketpp::transport::asio Namespace Reference

Transport policy that uses asio. More...

## Namespaces

namespace | basic_socket
namespace | error
| Asio transport errors.
namespace | tls_socket

## Classes

class | endpoint
| Asio based endpoint transport component. More...
class | connection
| Asio based connection transport component. More...
class | handler_allocator
class | custom_alloc_handler

## Typedefs

typedef lib::function< void(connection_hdl)> | tcp_init_handler
typedef lib::function< void(lib::asio::error_code const &ec, size_t bytes_transferred)> | async_read_handler
typedef lib::function< void(lib::asio::error_code const &ec, size_t bytes_transferred)> | async_write_handler
typedef lib::function< void(lib::error_code const &ec)> | pre_init_handler

## Functions

template<typename Handler>
custom_alloc_handler< Handler > | make_custom_alloc_handler (handler_allocator &a, Handler h)

## Detailed Description

Transport policy that uses asio.

This policy uses a single asio io_context to provide transport services to a WebSocket++ endpoint.

## Typedef Documentation

## async_read_handler

typedef lib::function<void (lib::asio::error_code const & ec, size_t bytes_transferred)> websocketpp::transport::asio::async_read_handler

Definition at line 146 of file base.hpp.

## async_write_handler

typedef lib::function<void (lib::asio::error_code const & ec, size_t bytes_transferred)> websocketpp::transport::asio::async_write_handler

Definition at line 149 of file base.hpp.

## pre_init_handler

typedef lib::function<void (lib::error_code const & ec)> websocketpp::transport::asio::pre_init_handler

Definition at line 151 of file base.hpp.

## tcp_init_handler

typedef lib::function<void(connection_hdl)> websocketpp::transport::asio::tcp_init_handler

Definition at line 58 of file connection.hpp.

## Function Documentation

## make_custom_alloc_handler()

template<typename Handler>

custom_alloc_handler< Handler > websocketpp::transport::asio::make_custom_alloc_handler | ( | handler_allocator & | a,
|  | Handler | h )

inline

Definition at line 128 of file base.hpp.